Clarify

Integrate your application with the Clarify API

Quickstart

Connect to Clarify with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Clarify.

Authorize Clarify

Go to Connections -> Add Test Connection -> Authorize, then enter your Clarify workspace slug (for example acme, not the full app URL) and API key. See the connect guide for where to find each value. Later, you'll let your users do the same directly from your app.

Call the Clarify API

Let's make your first request to the Clarify API (list workspace lists, one row). Replace the placeholders below with your Environment API key, integration ID, and connection ID:

curl --globoff "https://api.tenklo.dev/proxy/v1/workspaces/<WORKSPACE-SLUG>/lists?page[limit]=1" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your own production credentials, follow the connect guide linked below.

Clarify Integration Guides

Nango-maintained guides for common use cases.

Official docs:

Pre-built syncs & actions for Clarify

Enable them in your dashboard. Extend and customize to fit your needs.

Others

Function nameDescriptionTypeSource code
get-listFetch a single Clarify list by object type and list ID.Action🔗 Github
list-list-resourcesList records that belong to a Clarify list.Action🔗 Github
list-listsList Clarify workspace lists across all object types.Action🔗 Github

On this page